Update Work Queue
curl --request PATCH \
--url https://api.example.com/work_pools/{work_pool_name}/queues/{name} \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"is_paused": false,
"concurrency_limit": 1,
"priority": 1,
"last_polled": "2023-11-07T05:31:56Z",
"filter": {
"tags": [
"<string>"
],
"deployment_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
}
'import requests
url = "https://api.example.com/work_pools/{work_pool_name}/queues/{name}"
payload = {
"name": "<string>",
"description": "<string>",
"is_paused": False,
"concurrency_limit": 1,
"priority": 1,
"last_polled": "2023-11-07T05:31:56Z",
"filter": {
"tags": ["<string>"],
"deployment_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"]
}
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
is_paused: false,
concurrency_limit: 1,
priority: 1,
last_polled: '2023-11-07T05:31:56Z',
filter: {tags: ['<string>'], deployment_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']}
})
};
fetch('https://api.example.com/work_pools/{work_pool_name}/queues/{name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Work Pools
Update Work Queue
Update a work pool queue
PATCH
/
work_pools
/
{work_pool_name}
/
queues
/
{name}
Update Work Queue
Headers
Path Parameters
The work pool name
The work pool queue name
Body
application/json
Data used by the Prefect REST API to update a work queue.
Whether or not the work queue is paused.
Required range:
x >= 0Required range:
x > 0DEPRECATED: Filter criteria for the work queue.
Show child attributes
Show child attributes
Response
Successful Response
Was this page helpful?
⌘I